Articles / Ubuntu: New apturl packages...

Ubuntu: New apturl packages fix security vulnerabilities

It was discovered that apturl incorrectly handled certain long URLs. If a user were tricked into opening a very long URL, an attacker could cause their desktop session to crash, leading to a denial of service. Updated packages are available from security.ubuntu.com.

==========================================================================
Ubuntu Security Notice USN-1132-1
May 16, 2011

apturl vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 11.04
- Ubuntu 10.10
- Ubuntu 10.04 LTS

Summary:

apturl could be made to cause your desktop to crash if it opened a very
long URL.

Software Description:
- apturl: installs packages using the apt protocol

Details:

It was discovered that apturl incorrectly handled certain long URLs. If
a user were tricked into opening a very long URL, an attacker could cause
their desktop session to crash, leading to a denial of service.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 11.04:
 apturl-common                   0.4.2ubuntu5.1

Ubuntu 10.10:
 apturl-common                   0.4.1ubuntu7.1

Ubuntu 10.04 LTS:
 apturl-common                   0.4.1ubuntu4.1

In general, a standard system update will make all the necessary changes.

References:
 https://launchpad.net/bugs/783594

Package Information:
 https://launchpad.net/ubuntu/+source/apturl/0.4.2ubuntu5.1
 https://launchpad.net/ubuntu/+source/apturl/0.4.1ubuntu7.1
 https://launchpad.net/ubuntu/+source/apturl/0.4.1ubuntu4.1
Screenshot

Project Spotlight

CODERU

A Java code quality tool to enforce good design with respect to package dependencies.

Screenshot

Project Spotlight

TurnKey DokuWiki Appliance

A DokuWiki appliance that is easy to use and lightweight.